Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tWatchdog

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tWatchdog

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tWatchdog

extends tSystem

Field Summary
`static int` | `kNumSystems`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tWatchdog()`

Method Summary
`protected void` | `finalize()`
`static long` | `readExpiration()`
`static boolean` | `readImmortal()`
`static boolean` | `readStatus_Alive()`
`static short` | `readStatus_DisableCount()`
`static short` | `readStatus_SysDisableCount()`
`static boolean` | `readStatus_SystemActive()`
`static int` | `readStatus()`
`static long` | `readTimer()`
`static void` | `strobeFeed()`
`static void` | `strobeKill()`
`static void` | `writeExpiration(long value)`
`static void` | `writeImmortal(boolean value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

Constructor Detail

### tWatchdog

    public tWatchdog()

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### readStatus

    public static int readStatus()

### readStatus_SystemActive

    public static boolean readStatus_SystemActive()

### readStatus_Alive

    public static boolean readStatus_Alive()

### readStatus_SysDisableCount

    public static short readStatus_SysDisableCount()

### readStatus_DisableCount

    public static short readStatus_DisableCount()

### strobeKill

    public static void strobeKill()

### strobeFeed

    public static void strobeFeed()

### readTimer

    public static long readTimer()

### writeExpiration

    public static void writeExpiration(long value)

### readExpiration

    public static long readExpiration()

### writeImmortal

    public static void writeImmortal(boolean value)

### readImmortal

    public static boolean readImmortal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"